import React from 'react';

function Logo({ size = "large" }) {
  const sizeClasses = {
    small: "w-6 h-6",
    default: "w-8 h-8",
    large: "w-16 h-16"
  };

  return (
    <div className={`relative rounded-full flex items-center justify-center ${sizeClasses[size]}`}>
      {/* Assuming logo.png is placed in the public folder */}
      <img
        src="/logo.png"
        alt="CampFire мнеие"
        className={`object-contain ${sizeClasses[size]}`} // Use object-contain to maintain aspect ratio
      />
    </div>
  );
}

export default Logo;
