import React from 'react';

const ForgotPasswordPage = () => {
  return (
    <div className="pt-20 min-h-screen flex items-center justify-center bg-campfire-dark text-campfire-light">
      <div className="container-custom max-w-md py-12">
        <div className="bg-campfire-charcoal rounded-lg shadow-lg p-8 border border-campfire-ash/20 text-center">
          <h1 className="text-2xl font-bold text-campfire-light mb-4">
            Сброс пароля
          </h1>
          <p className="text-campfire-ash mb-6">
            Функция сброса пароля требует настройки отправки электронной почты в PocketBase.
            Пожалуйста, настройте SMTP в админ-панели PocketBase.
          </p>
          <form className="space-y-4">
            <div>
              <label htmlFor="email" className="block text-sm font-medium text-campfire-light mb-1">
                Email
              </label>
              <input
                type="email"
                id="email"
                name="email"
                className="input w-full px-3 py-2 bg-campfire-dark text-campfire-light border border-campfire-ash/30 rounded-md focus:outline-none focus:ring-campfire-amber focus:border-campfire-amber transition-colors"
                placeholder="your@email.com"
                required
              />
            </div>
            <button type="submit" className="btn-primary w-full">
              Отправить ссылку для сброса
            </button>
          </form>
        </div>
      </div>
    </div>
  );
};

export default ForgotPasswordPage;
