import React from 'react';

const TermsOfServicePage = () => {
  return (
    <div className="container-custom py-24">
      <div className="max-w-4xl mx-auto">
        <h1 className="text-3xl font-bold text-campfire-light mb-8">Условия использования</h1>
        
        <div className="prose prose-invert max-w-none">
          <h2>1. Принятие условий</h2>
          <p>
            Используя CampFire, вы соглашаетесь с настоящими условиями использования. Если вы не согласны
            с какими-либо условиями, пожалуйста, не используйте наш сервис.
          </p>

          <h2>2. Регистрация и учетная запись</h2>
          <p>
            Для использования некоторых функций сервиса требуется регистрация. Вы обязуетесь:
          </p>
          <ul>
            <li>Предоставлять точную и актуальную информацию</li>
            <li>Не передавать свои учетные данные третьим лицам</li>
            <li>Немедленно уведомлять нас о любом несанкционированном доступе</li>
          </ul>

          <h2>3. Правила поведения</h2>
          <p>
            При использовании сервиса запрещается:
          </p>
          <ul>
            <li>Нарушать законодательство</li>
            <li>Публиковать незаконный контент</li>
            <li>Спамить или рассылать нежелательные сообщения</li>
            <li>Нарушать права других пользователей</li>
          </ul>

          <h2>4. Интеллектуальная собственность</h2>
          <p>
            Весь контент на сайте, включая тексты, изображения и дизайн, является собственностью
            CampFire или используется с разрешения правообладателей.
          </p>

          <h2>5. Ограничение ответственности</h2>
          <p>
            CampFire не несет ответственности за:
          </p>
          <ul>
            <li>Действия пользователей</li>
            <li>Потерю данных</li>
            <li>Временную недоступность сервиса</li>
          </ul>

          <h2>6. Изменение условий</h2>
          <p>
            Мы оставляем за собой право изменять условия использования в любое время. Продолжение
            использования сервиса после внесения изменений означает принятие новых условий.
          </p>

          <h2>7. Контактная информация</h2>
          <p>
            По всем вопросам, связанным с условиями использования, обращайтесь через форму
            обратной связи.
          </p>
        </div>
      </div>
    </div>
  );
};

export default TermsOfServicePage; 