import React from 'react';

const UserAgreementPage = () => {
  return (
    <div className="container-custom py-24">
      <div className="max-w-4xl mx-auto">
        <h1 className="text-3xl font-bold text-campfire-light mb-8">Пользовательское соглашение</h1>
        
        <div className="prose prose-invert max-w-none">
          <h2>1. Предмет соглашения</h2>
          <p>
            Настоящее пользовательское соглашение регулирует отношения между CampFire (далее — Сервис)
            и пользователем (далее — Пользователь) при использовании сервиса.
          </p>

          <h2>2. Права и обязанности сторон</h2>
          <p>
            Сервис обязуется:
          </p>
          <ul>
            <li>Предоставлять доступ к основному функционалу</li>
            <li>Обеспечивать техническую поддержку</li>
            <li>Защищать персональные данные пользователей</li>
          </ul>

          <p>
            Пользователь обязуется:
          </p>
          <ul>
            <li>Соблюдать правила использования сервиса</li>
            <li>Не нарушать права других пользователей</li>
            <li>Предоставлять достоверную информацию</li>
          </ul>

          <h2>3. Условия использования сервиса</h2>
          <p>
            Для использования сервиса необходимо:
          </p>
          <ul>
            <li>Быть старше 13 лет</li>
            <li>Иметь доступ к интернету</li>
            <li>Зарегистрироваться на сайте</li>
          </ul>

          <h2>4. Контент пользователей</h2>
          <p>
            Пользователи сохраняют права на созданный ими контент, но предоставляют Сервису
            неисключительную лицензию на его использование.
          </p>

          <h2>5. Модерация контента</h2>
          <p>
            Сервис оставляет за собой право:
          </p>
          <ul>
            <li>Удалять нарушающий правила контент</li>
            <li>Блокировать нарушителей</li>
            <li>Изменять правила модерации</li>
          </ul>

          <h2>6. Ответственность сторон</h2>
          <p>
            Пользователь несет ответственность за:
          </p>
          <ul>
            <li>Содержание публикуемого контента</li>
            <li>Безопасность своей учетной записи</li>
            <li>Соблюдение законодательства</li>
          </ul>

          <h2>7. Заключительные положения</h2>
          <p>
            Настоящее соглашение вступает в силу с момента регистрации пользователя и действует
            до момента его удаления или изменения условий.
          </p>
        </div>
      </div>
    </div>
  );
};

export default UserAgreementPage; 